#pragma once
#include "afxwin.h"

#include "afxcmn.h"
#include "..//dll/r2k.h"
#pragma comment(lib, "..//dll/r2k.lib")

// CMainPage 对话框

class CMainPage : public CPropertyPage
{
	DECLARE_DYNAMIC(CMainPage)

public:
	CMainPage();
	virtual ~CMainPage();

// 对话框数据
	enum { IDD = IDD_MAINPAGE };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持

	DECLARE_MESSAGE_MAP()
public:
	BOOL m_CommMode;
	CString m_tcpip;
	CComboBox m_com;
	afx_msg void OnEnChangeEditTcp();
	BOOL OnInitDialog(void);
	afx_msg void OnBnClickedCom();
	afx_msg void OnBnClickedTcpip();
	afx_msg void OnBnClickedBtnConnect();
	afx_msg void OnBnClickedBtnReadant();
	BOOL m_ant1;
	BOOL m_ant2;
	BOOL m_ant3;
	BOOL m_ant4;
	CComboBox m_wt1;
	CComboBox m_wt2;
	CComboBox m_wt3;
	CComboBox m_wt4;
	CComboBox m_pwr1;
	CComboBox m_pwr2;
	CComboBox m_pwr3;
	CComboBox m_pwr4;
	ANT_CFG m_ant;
	afx_msg void OnBnClickedBtnDisconnect();
	afx_msg void OnBnClickedChkAnt1();
	afx_msg void OnBnClickedChkAnt2();
	afx_msg void OnBnClickedChkAnt3();
	afx_msg void OnBnClickedChkAnt4();
	afx_msg void OnBnClickedBtnGetant();
	CListCtrl m_list;
	afx_msg void OnBnClickedBtnInvonce();
	afx_msg void OnBnClickedBtnInv();
	afx_msg void OnBnClickedBtnStop();
	afx_msg void OnBnClickedBtnClear();
	afx_msg void OnBnClickedSortasc();
	afx_msg void OnBnClickedSortDesc();
	afx_msg void OnBnClickedBtnReset();
	BOOL m_mulline;
	afx_msg void OnBnClickedMulline();
	void GetSerialPortList(CComboBox* pComboBox);
	CButton m_ChkAutoSave;
	afx_msg void OnLvnColumnclickLstTag(NMHDR *pNMHDR, LRESULT *pResult);
};
